Bug 1602214 - Missing KDE PIM dependencies
Summary: Missing KDE PIM dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zanshin
Version: 28
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1608297 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 02:49 UTC by Daniel
Modified: 2018-07-31 18:04 UTC (History)
3 users (show)

Fixed In Version: zanshin-0.5.0-3.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-31 18:04:06 UTC


Attachments (Terms of Use)

Description Daniel 2018-07-18 02:49:53 UTC
Description of problem:

Seems like this is missing a dependency. I’m not sure exactly which one is missing, though.

Version-Release number of selected component (if applicable):
0.5.0-1.fc28

How reproducible:
Every time.


Steps to Reproduce:
1. use Fedora Workstation edition
2. sudo dnf install zanshin -y
3. zanshin

Actual results:
Blocking error message on start-up:
“Cannont connect to the Personal information management service. There are no Akonadi Agents available. Please verify your KDE PIM installation.”


Expected results:
The program should start and function normally.


Additional info:

Comment 1 Daniel 2018-07-24 02:42:15 UTC
The missing dependency is the 'kdepim-runtime' package. Added in pull request here, https://src.fedoraproject.org/rpms/zanshin/pull-request/1

Comment 2 Rex Dieter 2018-07-24 13:24:44 UTC
Your pull request only adds the dependency to renku, does not zanshin also need it?

Comment 3 Rex Dieter 2018-07-24 13:28:11 UTC
I'll go with "yes", unless there's evidence to the contrary, thanks for the pull-request.

builds underway.

Comment 4 Fedora Update System 2018-07-25 13:51:08 UTC
zanshin-0.5.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-96e49c0c61

Comment 5 Rex Dieter 2018-07-25 14:59:39 UTC
*** Bug 1608297 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2018-07-26 12:02:04 UTC
zanshin-0.5.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-96e49c0c61

Comment 7 Daniel 2018-07-26 12:45:12 UTC
The update resolves the problem and installs the required dependencies. Thanks!

Comment 8 Fedora Update System 2018-07-31 18:04:06 UTC
zanshin-0.5.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.